Bug 1278570 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b45f83ffe18b574da973973b25a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 15:03 EST by Joe
Modified: 2016-12-20 10:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:25:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (86.83 KB, text/plain)
2015-11-05 15:03 EST, Joe
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-05 15:03 EST, Joe
no flags Details
File: core_backtrace (31.22 KB, text/plain)
2015-11-05 15:04 EST, Joe
no flags Details
File: dso_list (32.64 KB, text/plain)
2015-11-05 15:04 EST, Joe
no flags Details
File: environ (1.57 KB, text/plain)
2015-11-05 15:04 EST, Joe
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-05 15:04 EST, Joe
no flags Details
File: maps (151.80 KB, text/plain)
2015-11-05 15:05 EST, Joe
no flags Details
File: mountinfo (3.17 KB, text/plain)
2015-11-05 15:05 EST, Joe
no flags Details
File: open_fds (179 bytes, text/plain)
2015-11-05 15:05 EST, Joe
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-11-05 15:05 EST, Joe
no flags Details
File: var_log_messages (297 bytes, text/plain)
2015-11-05 15:05 EST, Joe
no flags Details

  None (edit)
Description Joe 2015-11-05 15:03:09 EST
Description of problem:
Added a new taskbar to a second activity.

Version-Release number of selected component:
plasma-workspace-5.4.2-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     1464
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:418
 #3 QBasicAtomicOps<4>::ref<int> at ../../src/corelib/arch/qatomic_x86.h:181
 #4 QBasicAtomicInteger<int>::ref at ../../src/corelib/thread/qbasicatomic.h:129
 #5 QtSharedPointer::ExternalRefCountData::getAndRef at tools/qsharedpointer.cpp:1343
 #6 QWeakPointer<QObject>::QWeakPointer<QObject> at /usr/include/qt5/QtCore/qsharedpointer_impl.h:696
 #7 QPointer<QObject>::QPointer at /usr/include/qt5/QtCore/qpointer.h:62
 #8 QV4::Heap::QObjectWrapper::QObjectWrapper at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4qobjectwrapper.cpp:237
 #9 QV4::MemoryManager::alloc<QV4::QObjectWrapper, QV4::ExecutionEngine*, QObject*> at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4mm_p.h:117
 #10 QV4::QObjectWrapper::create at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4qobjectwrapper.cpp:689
 #11 QV4::QObjectWrapper::wrap at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4qobjectwrapper.cpp:609
Comment 1 Joe 2015-11-05 15:03:45 EST
Created attachment 1090322 [details]
File: backtrace
Comment 2 Joe 2015-11-05 15:03:47 EST
Created attachment 1090323 [details]
File: cgroup
Comment 3 Joe 2015-11-05 15:04:02 EST
Created attachment 1090324 [details]
File: core_backtrace
Comment 4 Joe 2015-11-05 15:04:15 EST
Created attachment 1090325 [details]
File: dso_list
Comment 5 Joe 2015-11-05 15:04:17 EST
Created attachment 1090326 [details]
File: environ
Comment 6 Joe 2015-11-05 15:04:20 EST
Created attachment 1090327 [details]
File: limits
Comment 7 Joe 2015-11-05 15:05:16 EST
Created attachment 1090340 [details]
File: maps
Comment 8 Joe 2015-11-05 15:05:19 EST
Created attachment 1090341 [details]
File: mountinfo
Comment 9 Joe 2015-11-05 15:05:20 EST
Created attachment 1090342 [details]
File: open_fds
Comment 10 Joe 2015-11-05 15:05:22 EST
Created attachment 1090343 [details]
File: proc_pid_status
Comment 11 Joe 2015-11-05 15:05:24 EST
Created attachment 1090344 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2016-11-24 08:06:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 10:25:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.